<div 
class="overlay fade" 
[class.show]="open" 
[class.scrollable]="scrollable"
(click)="dismiss()">

    <div class="modal slide" 
    [class.down]="open" 
    (click)="$event.stopPropagation()">

        <div class="modal-header">
            <div>
                <h3 *ngIf="title" class="modal-title">{{title}}</h3>
                <h5 *ngIf="subtitle" class="modal-subtitle">{{subtitle}}</h5>
            </div>
            <div class="modal-close" (click)="dismiss()">
                <app-icon [className]="'icon-close'"></app-icon>
            </div>
        </div>

        <div class="modal-body">
            <ng-content></ng-content>
        </div>

        <div class="modal-footer" *ngIf="!hideFooter">
            
            <ng-container *ngIf="postNavigation">
                <div class="modal-left-actions">
                    <a [routerLink]="'/w/'+world">Open World</a>
                    <a [routerLink]="'/t/'+thread">Read Full Thread</a>
                </div>
            </ng-container>

            <button (click)="dismiss()">close</button>
        </div>

    </div>

</div>
